#!/bin/bash
# @Contact :   liuyuqi.gov@msn.cn
# @Time    :   2023/03/19 19:11:52
# @License :   (C)Copyright 2022 liuyuqi.
# @Desc    :   build apk
###############################################################################
source /etc/profile
echo  "source /etc/profile" >> ~/.bashrc


# clean
sudo journalctl --vacuum-size=1K
# rm -rf ~/.gradle
# rm -rf ~/.android

export JAVA_HOME=/usr/local/openjdk-11
# export JAVA_HOME=/root/.sdkman/candidates/java/21.0.1-ms/
# source "$HOME/.sdkman/bin/sdkman-init.sh"
# sdk list java
# sdk install java 8.0.392-librca
# sdk default java 8.0.392-librca
# sdk install java 11.0.24-librca
# sdk install java 17.0.11-ms

# docker
# echo $DOCKER_HOST
# unset DOCKER_HOST
# sudo usermod -aG docker $USER
docker run -d -p 4444:4444 -p 5900:5900 -e VNC_PASSWORD=123456 selenium/standalone-chrome

docker run -d --restart=on-failure \
    --name my_workspace \
    --cap-add=SYS_PTRACE \
    --gpus all  \
    --shm-size=1024m \
    -v /tmp/.X11-unix:/tmp/.X11-unix:rw \
    -p 10022:22  \
    -p 14000:4000  \
    gezp/ubuntu-desktop:20.04-cu11.0


# set gopath
# export PATH=$PATH:$GOPATH/bin
# mkdir /workspace/RStudio-container
export PATH=$PATH:$(go env GOPATH)/bin

# sql
# SET sql_mode=(SELECT REPLACE(@@sql_mode,'ONLY_FULL_GROUP_BY',''));

# rust
PATH="$HOME/.cargo/bin:$PATH"
vim /usr/bin/pack-cli/node_modules/.bin/pack-cli/src/rust/rustc

pake https://git.yoqi.me --name zzky --hide-title-bar

# nodejs
export NODE_OPTIONS=--openssl-legacy-provider

yarn config set strict-ssl false


# rstudio
# -e PASSWORD=rstudio
# docker run --rm -ti -p 8787:8787 -e DISABLE_AUTH=true -e ROOT=true -v /workspace/aa:/workspace/aa  rocker/rstudio:4.4.1
# docker run --rm -ti rocker/tidyverse R

# php
# https://github.dev/yiisoft/yii2-docker
# composer config -g repo.packagist composer  https://mirrors.aliyun.com/composer/
# composer create-project --prefer-dist yiisoft/yii2-app-basic basic


# docker-compose up -d
# docker-compose ps
# docker-compose stop xx

# docker-compose kill

# docker-compose run --rm php composer install
# docker compose exec php bash

# flutter
export PUB_HOSTED_URL=https://pub.flutter-io.cn
export FLUTTER_STORAGE_BASE_URL=https://storage.flutter-io.cn

# cd /opt/flutter
# git checkout 2.0.5 
# git checkout 3.7.9 
# git checkout 3.13.8
# flutter doctor

# cd /workspace/flutter_you
# flutter build apk
# flutter build apk --debug
# flutter pub get

# android
# cd /workspace/packagehunter
# chmod +x gradlew
# ./gradlew assembleDebug
# ./gradlew cleanBuildCache

# aapt package -f \
# -M AndroidManifest.xml \ 
# -I "$ANDROID_HOME/platforms/android-N/android.jar" \
# -S res/ \
# -J gen/ \
# -m \

# java
# mvn clean package -Dmaven.test.skip=true

# node
# cd 
# yarn && yarn build
# yarn && yarn dev

# go
# cd 
# go build

# python
# pip install -r requirements.txt
# python main.py

# docker
cd /workspace/blog
docker compose -f "docker-compose.debug.yml" down 
docker compose -f "docker-compose.debug.yml" up -d --build
docker compose  -f "docker-compose.debug.yml" up -d --build node_container
# docker exec -it java_container /bin/sh
docker exec -it node_container /bin/bash

# java
cd /app/qihang.ecom.erp/framework
mvn package && mvn install

cd /app/qihang.ecom.erp/ecerp-api
mvn spring-boot:run
